ApiNameservice (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiNameservice

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiNameservice

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiNameservice
      extends Object

  Provides information about an HDFS nameservice. <p> Nameservices can be either a stand-alone NameNode, a NameNode paired with a SecondaryNameNode, or a high-availability pair formed by an active and a stand-by NameNode. <p> The following fields are only available in the object's full view: <ul> <li>healthSummary</li> <li>healthChecks</li> </ul>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiNameservice()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiNameservice` | `active(ApiRoleRef active)`
    `ApiNameservice` | `activeFailoverController(ApiRoleRef activeFailoverController)`
    `ApiNameservice` | `addHealthChecksItem(ApiHealthCheck healthChecksItem)`
    `ApiNameservice` | `addMountPointsItem(String mountPointsItem)`
    `boolean` | `equals(Object o)`
    `ApiRoleRef` | `getActive()` Get active
    `ApiRoleRef` | `getActiveFailoverController()` Get activeFailoverController
    `List<ApiHealthCheck>` | `getHealthChecks()` Requires \"full\" view.
    `ApiHealthSummary` | `getHealthSummary()` Get healthSummary
    `List<String>` | `getMountPoints()` Mount points assigned to this nameservice in a federation.
    `String` | `getName()` Name of the nameservice.
    `ApiRoleRef` | `getSecondary()` Get secondary
    `ApiRoleRef` | `getStandBy()` Get standBy
    `ApiRoleRef` | `getStandByFailoverController()` Get standByFailoverController
    `int` | `hashCode()`
    `ApiNameservice` | `healthChecks(List<ApiHealthCheck> healthChecks)`
    `ApiNameservice` | `healthSummary(ApiHealthSummary healthSummary)`
    `ApiNameservice` | `mountPoints(List<String> mountPoints)`
    `ApiNameservice` | `name(String name)`
    `ApiNameservice` | `secondary(ApiRoleRef secondary)`
    `void` | `setActive(ApiRoleRef active)`
    `void` | `setActiveFailoverController(ApiRoleRef activeFailoverController)`
    `void` | `setHealthChecks(List<ApiHealthCheck> healthChecks)`
    `void` | `setHealthSummary(ApiHealthSummary healthSummary)`
    `void` | `setMountPoints(List<String> mountPoints)`
    `void` | `setName(String name)`
    `void` | `setSecondary(ApiRoleRef secondary)`
    `void` | `setStandBy(ApiRoleRef standBy)`
    `void` | `setStandByFailoverController(ApiRoleRef standByFailoverController)`
    `ApiNameservice` | `standBy(ApiRoleRef standBy)`
    `ApiNameservice` | `standByFailoverController(ApiRoleRef standByFailoverController)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiNameservice

          public ApiNameservice()

  - ### Method Detail

    - #### name

          public ApiNameservice name(String name)

    - #### getName

          public String getName()

      Name of the nameservice.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### active

          public ApiNameservice active(ApiRoleRef active)

    - #### getActive

          public ApiRoleRef getActive()

      Get active
      Returns:
        active

    - #### setActive

          public void setActive(ApiRoleRef active)

    - #### activeFailoverController

          public ApiNameservice activeFailoverController(ApiRoleRef activeFailoverController)

    - #### getActiveFailoverController

          public ApiRoleRef getActiveFailoverController()

      Get activeFailoverController
      Returns:
        activeFailoverController

    - #### setActiveFailoverController

          public void setActiveFailoverController(ApiRoleRef activeFailoverController)

    - #### standBy

          public ApiNameservice standBy(ApiRoleRef standBy)

    - #### getStandBy

          public ApiRoleRef getStandBy()

      Get standBy
      Returns:
        standBy

    - #### setStandBy

          public void setStandBy(ApiRoleRef standBy)

    - #### standByFailoverController

          public ApiNameservice standByFailoverController(ApiRoleRef standByFailoverController)

    - #### getStandByFailoverController

          public ApiRoleRef getStandByFailoverController()

      Get standByFailoverController
      Returns:
        standByFailoverController

    - #### setStandByFailoverController

          public void setStandByFailoverController(ApiRoleRef standByFailoverController)

    - #### secondary

          public ApiNameservice secondary(ApiRoleRef secondary)

    - #### getSecondary

          public ApiRoleRef getSecondary()

      Get secondary
      Returns:
        secondary

    - #### setSecondary

          public void setSecondary(ApiRoleRef secondary)

    - #### mountPoints

          public ApiNameservice mountPoints(List<String> mountPoints)

    - #### addMountPointsItem

          public ApiNameservice addMountPointsItem(String mountPointsItem)

    - #### getMountPoints

          public List<String> getMountPoints()

      Mount points assigned to this nameservice in a federation.
      Returns:
        mountPoints

    - #### setMountPoints

          public void setMountPoints(List<String> mountPoints)

    - #### healthSummary

          public ApiNameservice healthSummary(ApiHealthSummary healthSummary)

    - #### getHealthSummary

          public ApiHealthSummary getHealthSummary()

      Get healthSummary
      Returns:
        healthSummary

    - #### setHealthSummary

          public void setHealthSummary(ApiHealthSummary healthSummary)

    - #### healthChecks

          public ApiNameservice healthChecks(List<ApiHealthCheck> healthChecks)

    - #### addHealthChecksItem

          public ApiNameservice addHealthChecksItem(ApiHealthCheck healthChecksItem)

    - #### getHealthChecks

          public List<ApiHealthCheck> getHealthChecks()

      Requires \"full\" view. List of health checks performed on the nameservice.
      Returns:
        healthChecks

    - #### setHealthChecks

          public void setHealthChecks(List<ApiHealthCheck> healthChecks)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.